<?php

namespace Bydedi\Admin;

use Bydedi\Container\ServiceProvider;
use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;

/**
 * Class AdminServiceProvider
 * @package Bydedi\aDMIN
 */
class AdminServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $loader = new YamlFileLoader($this->serviceContainer, new FileLocator(__DIR__));
        $loader->load('config/services.yml');
    }
}
